Diagnostics - List Site Analyses Slot
Beschrijving voor Site-analyses ophalen
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{siteName}/slots/{slot}/diagnostics/{diagnosticCategory}/analyses?api-version=2025-05-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
diagnostic
|
path | True |
string |
Diagnostische categorie |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
site
|
path | True |
string |
Sitenaam |
|
slot
|
path | True |
string |
Sleuf - optioneel |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-bewerking is voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
| List App Analyses |
| List App Slot Analyses |
List App Analyses
Voorbeeldaanvraag
Voorbeeldrespons
{
"value": [
{
"name": "appanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/appanalysis",
"properties": {
"description": "Determine causes of availability loss as well as solutions for these problems"
}
},
{
"name": "apprestartanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/apprestartanalyses",
"properties": {
"description": "Find the reasons that your app restarted"
}
},
{
"name": "memoryanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/memoryanalysis",
"properties": {
"description": "Detect issues with memory as well as suggest ways to troubleshoot memory problems"
}
},
{
"name": "tcpconnectionsanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/tcpconnectionsanalysis",
"properties": {
"description": "Analyze port usage and find out if a high number of connections is causing problems for your web app"
}
},
{
"name": "perfanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/perfanalysis",
"properties": {
"description": "Determine causes of performance degredation as well as solutions for these problems"
}
}
]
}
List App Slot Analyses
Voorbeeldaanvraag
Voorbeeldrespons
{
"value": [
{
"name": "appanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/appanalysis",
"properties": {
"description": "Determine causes of availability loss as well as solutions for these problems"
}
},
{
"name": "apprestartanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/apprestartanalyses",
"properties": {
"description": "Find the reasons that your app restarted"
}
},
{
"name": "memoryanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/memoryanalysis",
"properties": {
"description": "Detect issues with memory as well as suggest ways to troubleshoot memory problems"
}
},
{
"name": "tcpconnectionsanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/tcpconnectionsanalysis",
"properties": {
"description": "Analyze port usage and find out if a high number of connections is causing problems for your web app"
}
},
{
"name": "perfanalysis",
"id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/perfanalysis",
"properties": {
"description": "Determine causes of performance degredation as well as solutions for these problems"
}
}
]
}
Definities
| Name | Description |
|---|---|
|
Analysis |
Definitie van analyse |
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Default |
Foutreactie van App Service. |
|
Default |
Foutmodel. |
|
Default |
Gedetailleerde fouten. |
|
Diagnostic |
Verzameling van diagnostische analyses |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
AnalysisDefinition
Definitie van analyse
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| kind |
string |
Soort resource. |
| name |
string |
De naam van de resource |
| properties.description |
string |
Beschrijving van de analyse |
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| type |
string |
Het type bron. Bijv. "Microsoft.Compute/virtualMachines" of "Microsoft.Storage/storageAccounts" |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DefaultErrorResponse
Foutreactie van App Service.
| Name | Type | Description |
|---|---|---|
| error |
Foutmodel. |
DefaultErrorResponseError
Foutmodel.
| Name | Type | Description |
|---|---|---|
| code |
string |
Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren. |
| details |
Gedetailleerde fouten. |
|
| innererror |
string |
Meer informatie om fouten op te sporen. |
| message |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
| target |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
DefaultErrorResponseErrorDetailsItem
Gedetailleerde fouten.
| Name | Type | Description |
|---|---|---|
| code |
string |
Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren. |
| message |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
| target |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
DiagnosticAnalysisCollection
Verzameling van diagnostische analyses
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
De koppeling naar de volgende pagina met items |
| value |
De AnalysisDefinition-items op deze pagina |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |